/*
 * ATRWrapper.java
 *
 * Copyright (c) 2003, 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file ATRWrapper.java
 *
 * Basic implementation of a delegate for the ATR's interface.
 */

/**
 * Wrapper class for the adapter/delegate.
 *
 * @see ATRDelegate.asl
 */
public class ATRWrapper
    extends ATRAdapter
{
    /**
     * Construct an ATRWrapper object.
     *
     * @param rtt The Broker::RealTimeTask object to wrap.
     * @param period The period of the task in microseconds.
     * @param deadline The deadline of the task in microseconds.
     */
    public ATRWrapper(Broker.RealTimeTask rtt,
		      int period,
		      int deadline)
    {
	long qk_start;

	super.rta_CPUReserve = new Broker.CPUReserve();
	super.rta_KeyedReportParameters = new Broker.NamedValue[0];
	super.rta_Advocate = rtt;
	super.rta_Period = period;
	super.rta_Deadline = deadline;
	super.rta_Qosket = this;
    }
}
